/*
 * This Java source file was generated by the Gradle 'init' task.
 */

 // Заменить упоминания нелюбимых вами слов на нужное любимое.

package number3;
import java.util.regex.*;
/**
* Class for text.
* Using regular expressions and their methods.
* @author Sofia Iakovleva
* @version 1.0
*/
public class DontLove {
  /**
  * point of entry
  * @param args string array
  */
  public static void main(String[] args) {
    String text = "I loved to eat spagetti";
    String[] replaces = new String[] {"spagetti", "cookies"};
    String loveWord = "cakes";
    System.out.println(check(text, replaces, loveWord));
  }

  /**
  * Method for replacing an unloved word with a favorite.
  * @param stroka - text in which we want to replace the words
  * @param replaces - the word we need to replace
  * @param loveWord - the word with which we want to replace the word that does not suit us
  * @return string - line in which the word is replaced by the one we need
  */
  public static String check(String text, String[] replaces, String loveWord){
    String joined = String.join("\\b|\\b", replaces);
    joined = "\\b" + joined + "\\b";
    Pattern pattern = Pattern.compile(joined);
    Matcher matcher = pattern.matcher(text);
    text = matcher.replaceAll(loveWord);
    return text;

  }
}
